Subject: [PATCH] gpiolib: Add of_get_gpio_chip_by_phandle() helper

From: [email-masked] (Stephen Warren)
Date: Thu, 17 May 2012 22:35:57 -0600

On 05/17/2012 06:08 PM, Grant Likely wrote:
...
> however, there is a bigger issue now.  I'm changing the xlate
> mechanism to allow multiple gpio_chips to refer to the same device
> tree node which will break the assumption that this patch uses.  The
> reason for this is to make it easier to support banked gpio
> controllers where a separate gpio_chip is used for each bank, but it
> is still described by a single device tree node.  To properly resolve
> this will require a full gpio specifier reference instead of just the
> phandle.  Will that work for your use-case?

Is a full GPIO specifier necessary? Perhaps a phandle plus bank index
would suffice?